<?php
	require 'include/lib.php';
	$customer_show = false;
	if(isset($_GET['customer-id']) && intval($_GET['customer-id']) > 0) {
		$customer_show = Customer::detail(intval($_GET['customer-id']));
	}
?>
<!DOCTYPE html>
<html>
<?php include 'head.html'; ?>
<body>
	<?php include 'navbar.php'; ?>
	<div class="container">
		<div class="row">
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 center">
				<h1>จัดการใบวางบิล</h1>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 center">
				<div class="panel panel-warning">
					<div class="panel-body">
						<form method="get" class="form-inline">
							<label for="">วันที่</label>
							<input type="date" name="date-from" class="form-control" value="<?=isset($_GET['date-from']) ? $_GET['date-from'] : '';?>">
							&emsp;
							<label for="">ถึง</label>
							<input type="date" name="date-to" class="form-control" value="<?=isset($_GET['date-to']) ? $_GET['date-to'] : '';?>">
							&emsp;
							<label for="">ลูกค้า</label>
							<input type="hidden" id="customer-id-hidden" name="customer-id" value="<?=($customer_show && $customer_show['id'] ? $customer_show['id'] : '');?>" />
							<input class="form-control center number" id="customer-id" type="text" placeholder="ค้นหาลูกค้า" size="50" value="<?=($customer_show  ? ($customer_show['name'].($customer_show['nickname'] ? ' ('.$customer_show['nickname'].')' : '')) : '');?>" autocomplete="off"/>
							<br/>
							<br/>

							<button class="btn btn-primary" type="submit">
								<i class="fa fa-search"></i>
								ค้นหา
							</button>
							<button type="button" class="btn btn-warning" onclick="window.location='<?=URL::to('invoice.php');?>'">
								<i class="fa fa-undo"></i>
								ล้าง
							</button>
						</form>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
				<table class="table table-hover b-table">
					<tr class="heading">
						<td class="center" colspan="8">
							<a href="<?=URL::to('invoice-create.php')?>">
								<button class="btn btn-success">
									<i class="fa fa-print"></i>
									ออกใบวางบิล
								</button>
							</a>
						</td>
					</tr>
					<tr class="heading">
						<th width="25%">ลูกค้า</th>
						<th width="10%">เล่มที่</th>
						<th width="12%">วันที่</th>
						<th width="23%">ข้อมูลใบวางบิล</th>
						<th width="15%">จำนวนเงิน</th>
						<th width="15%" colspan="4">พิมพ์ / แก้ไข</th>
					</tr>
					<?php
						$datas = Invoice::lists();

						if(sizeof($datas) == 0) {
							echo '<tr class="heading">';
								echo '<td class="center" colspan="8">ไม่พบข้อมูลใบวางบิลในระบบ</td>';
							echo '</tr>';
						}
						else {
							foreach ($datas as $key => $data) {
								echo '<tr>';
									$customer = Customer::detail($data['customer_id']);
									echo '<td class="max-width-200">'.$custome.($customer['nickname'] ? ' ('.$customer['nickname'].')' : '').'</td>';
									echo '<td class="center">'.$data['sequence'].'</td>';
									echo '<td class="center">'.ThaiDate::toThaiDate($data['created_at'], 'd m Y').'</td>';
									echo '<td>'.$data['name'].'</td>';

									$bill_total = DB::query('SELECT SUM(total) AS total FROM bill WHERE invoiced = {invoiced}', [
										'invoiced' => $data['id']
									]);

									echo '<td class="right">'.number_format($bill_total[0]['total'], 2).'</td>';
									
									echo '<td class="center" width="5%">
										<a href="'.URL::to('invoice-print.php?id='.$data['id']).'" target="_blank">
											<i class="fa fa-print fa-button"></i>
										</a>
									</td>';
									echo '<td class="center" width="5%">
										<a href="'.URL::to('invoice-print-2.php?id='.$data['id']).'" target="_blank" style="color: #5bc0de;">
											<i class="fa fa-print fa-button"></i>
										</a>
									</td>';
									echo '<td class="center" width="5%">
										<a href="'.URL::to('invoice-print-3.php?id='.$data['id']).'" target="_blank" style="color: #5bc0de;">
											<i>PTT</i>
										</a>
									</td>';
									echo '<td class="center" width="5%">
										<i class="fa fa-edit fa-button" 
											onclick="window.location=\''.URL::to('invoice-update.php?id='.$data['id']).'\'"
										>
										</i>
									</td>';
								echo '</tr>';
							}
						}
					?>
				</table>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		$(document).ready(function() {
			$('#customer-id').focus(function() {
				$(this).select();
			});

			$('#customer-id').keyup(function(e) {
				if(e.which != 13) {
					$('#customer-id-hidden').val(void(0));
				}

				let v = $(this).val().trim();

				$('#customer-id').autocomplete({
					delay: 100,
					source: '<?=URL::to('customer-get.php?search=');?>'+v,
					minLength: 1,
					select: function(event, ui) {
						console.log("Selected: " + ui.item.name + " aka " + ui.item.id);
						$('#customer-id-hidden').val(ui.item.id);
					},
					position: {
						my: 'right bottom',
						at: 'right top'
					}
				});
			});
		});
	</script>
</body>
</html>